<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <file filelist="workstation-manager" name="/etc/salt/master.d/workstation-manager.conf"/>
        <file filelist="workstation-manager" name="/usr/share/eole/saltstack/pillar/eole-workstation.sls" rm='True' />
        <service servicelist="workstation-manager">eole-workstation-manager</service>

        <service_access service='eole-workstation-manager'>
            <port>4505</port>
            <port>4506</port>
        </service_access>

    </files>

    <variables>
        <family name="services">
            <variable name="activer_workstation_manager" type="oui/non" description="Activer le service de gestion des postes clients">
                <value>oui</value>
            </variable>
        </family>

        <family name="Workstation" icon='desktop'>
            <variable name="eole_workstation_enable_veyon" type="oui/non" description="Activer l’installation et la configuration de Veyon" mode="expert">
                <value>oui</value>
            </variable>
        </family>

        <separators>
        </separators>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='activer_workstation_manager'>
            <param>non</param>
            <target type='servicelist'>workstation-manager</target>
            <target type='filelist'>workstation-manager</target>
        </condition>
    </constraints>

    <help>
        <variable name="activer_workstation_manager">Le service de gestion des postes clients utilise SaltStack</variable>
        <family name="Workstation">Gestion des postes clients</family>
        <variable name="eole_workstation_enable_veyon">Veyon est un logiciel libre qui permet de surveiller, contrôler et administrer les postes à distance</variable>
    </help>

</creole>
